
QGIS Application - Bug report #15370

"move selection to top" does not work 

2016-08-01 08:53 AM - zimirrr leonid

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Attribute table

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23301

Description

in attribute table button "move selection to top" does not work.

History

#1 - 2016-08-02 01:40 AM - Giovanni Manghi

- Subject changed from does not work "move selection to top" to "move selection to top" does not work 

- Category set to Attribute table

- Status changed from Open to Feedback

Can you add more details (and a small sample datasource), it seems to work here.

#2 - 2016-08-02 02:13 AM - zimirrr leonid

- File test_for_hub.zip added

- File hub1.png added

I have a project with couple layers from Postgres.

When I select features on map an view them in attribute table I get this (hub1.png)

Also I saved features as shp and added them to current project, "move selection to top" still does not work properly.

But when I've opened shp in new project everything worked fine.

To repeat error do following:

1. add vector layer test_for_hub.shp

2. rename layer to test_for_hub1

3. add vector layer test_for_hub.shp

4. select on map couple features in layer test_for_hub

5. open attribute table and press "move selection to top"

#3 - 2016-08-03 01:41 PM - Stephane Goldstein

Confirming issue in QGIS 2.16.1 - Ubuntu 16.04 (ppa "Release with ubuntugis dependencies")

#4 - 2016-08-22 04:45 AM - Piotr Kania
Confirming issue too in QGIS dev code rev. 3a3b9ab7 on win7sp1x64

#5 - 2017-01-02 07:05 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to Severe/Regression

- Affected QGIS version changed from 2.16.0 to 2.18.2

#6 - 2017-02-28 04:24 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #15803

Files

hub1.png 44.6 KB 2016-08-02 zimirrr leonid

test_for_hub.zip 5.37 KB 2016-08-02 zimirrr leonid
